import { ModuleWithProviders } from '@angular/core';
import { DynamicHTMLOptions } from './options';
/**
 * Setup for DynamicHTMLDirective
 *
 * ```ts
 * @NgModule({
 *   imports: [
 *     DynamicHTMLModule.forRoot({
 *       components: [
 *         { component: MyButtonComponent, selector: 'my-button' },
 *       ]
 *     })
 *   ],
 *   declarations: [AppComponent, MyButtonComponent],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {
 * }
 * ```
 */
export declare class DynamicHTMLModule {
    static forRoot(options: DynamicHTMLOptions): ModuleWithProviders;
}
